gtkmm 4.7.1

Public Types | Public Member Functions | List of all members
Gtk::PrintError Class Reference

`#include <gtkmm/printoperation.h>`

Inheritance diagram for Gtk::PrintError:
[legend]

## Public Types
enum | Code { GENERAL , INTERNAL_ERROR , NOMEM , INVALID_FILE }
| Error codes that identify various errors that can occur while using the GTK printing support. More...

## Public Member Functions
| PrintError (Code error_code, const Glib::ustring & error_message)
| PrintError (GError * gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexcept override
| operator bool () const
GQuark | domain () const
int | code () const
const char * | what () const noexcept override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Member Enumeration Documentation

## ◆ Code

enum Gtk::PrintError::Code

Error codes that identify various errors that can occur while using the GTK printing support.

Enumerator
GENERAL | An unspecified error occurred.
INTERNAL_ERROR | An internal error occurred.
NOMEM | A memory allocation failed.
INVALID_FILE | An error occurred while loading a page setup or paper size from a key file.

## Constructor & Destructor Documentation

## ◆ PrintError() [1/2]

Gtk::PrintError::PrintError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

## ◆ PrintError() [2/2]

Gtk::PrintError::PrintError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Gtk::PrintError::code | ( |  | ) | const